Subject: Re: Huge performance degradation for UDP between 2.4.17 and 2.6

From: leroy christophe <[email-masked]>
Date: Mon, 06 Aug 2012 11:27:45 +0200

Le 05/08/2012 10:28, Eric Dumazet a écrit :
> On Sun, 2012-08-05 at 10:16 +0200, LEROY christophe wrote:
>> Le 02/08/2012 16:13, Eric Dumazet a écrit :
>>> On Thu, 2012-08-02 at 14:27 +0200, leroy christophe wrote:
>>>> Hi
>>>>
>>>> I'm having a big issue with UDP. Using a powerpc board (MPC860).
>>>>
>>>> With our board running kernel 2.4.17, I'm able to send 160000 voice
>>>> packets (UDP, 96 bytes per packet) in 11 seconds.
>>>> With the same board running either Kernel 2.6.35.14 or Kernel 3.4.7, I
>>>> need 55 seconds to send the same amount of packets.
>>>>
>>>>
>>>> Is there anything to tune in order to get same output rate as with
>>>> Kernel 2.4 ?
>>> kernel size is probably too big for your old / slow cpu.
>>>
>>> Maybe you added too many features on your 3.4.7 kernel. (netfilter ?
>>> SLUB debugging ...)
>>>
>>> Its hard to say, 2.4.17 had less features and was faster.
>>>
>> Thanks for your answer.
>> Yes I have netfilter as I need it. However, I tried without it and still
>> need about 37 seconds to send the 160000 packets I was sending in 11
>> seconds with 2.4.17
>>
>> I don't think there is any problem with size of the kernel. I still have
>> plenty of memory available.
>>
> I believe you misunderstood me.
>
> I was referring to cpu caches ( dcache & icache )
>
>> All debugging is turned off, and I'm not using SLUB but SLOB.
>> I have 32Mbytes of RAM. Would SLUB be more performant than SLOB ?
> I never used SLOB I cannot comment
>
> Please provide (on 3.4.7)
>
> cat /proc/cpuinfo
> lsmod
> dmesg
>
Ok, I have recompiled with SLUB.
Find attached cpuinfo, lsmod and dmesg. I do not have any modules loaded.